#include <SDL/SDL.h>
#include "Player.h"


class App {
public:
    explicit App(size_t win_width, size_t win_height, bool fullscreen_mode) :
        m_window_width(win_width),
        m_window_height(win_height),
        m_fullscreen(fullscreen_mode) {
        m_player.reset(new Player(1, 5, 10));   // 10-szerokość levelu (na razie 10 kafli - 1 ekran)
    }

    void Run();

private:
    void Draw();
    void Update(double dt);
    void Resize(size_t width, size_t height);
    void ProcessEvents();

private:
    size_t m_window_width;   // szerokość okna
    size_t m_window_height;  // wysokość okna
    bool m_fullscreen;       // tryb pełnoekranowy
    bool is_done;
    SDL_Surface* m_screen;

    PlayerPtr m_player;
};

