#include "SpriteConfig.h"
#include "Types.h"
#include <iostream>

SpriteConfig::SpriteConfig() {
    Insert("player_right", SpriteConfigData(DL::Player, 5, 0.2, 0, 4 * 32, 32, 32, true));
    Insert("player_left",  SpriteConfigData(DL::Player, 5, 0.2, 0, 5 * 32, 32, 32, true));
    Insert("player_stop",  SpriteConfigData(DL::Player, 1, 0.2, 0, 6 * 32, 32, 32, true));
}

SpriteConfigData SpriteConfig::Get(const std::string& name) const {
    if (Contains(name)) {
        return m_data.find(name)->second;
    }
    std::cerr << "Config not found: " << name << std::endl;
    throw("Config not found: " + name);
}

bool SpriteConfig::Contains(const std::string& name) const {
    return (m_data.find(name) != m_data.end());
}

void SpriteConfig::Insert(const std::string& name, const SpriteConfigData& data) {
    m_data.insert(std::make_pair(name, data));
}

